get:
    tags:
        - Integraciones con servicios del SAS
    summary: Obtener detalle de usuario del SGI
    description: Permite obtener el detalle de un usuario del SGI.
    operationId: obtenerContacto
    parameters:
      - $ref: './components_parameters.yaml#/components/parameters/Authorization'
      - $ref: './components_parameters.yaml#/components/parameters/Version'
      - $ref: './components_parameters.yaml#/components/parameters/delegado'
      - $ref: './components_parameters.yaml#/components/parameters/rol'
      - $ref: './components_parameters.yaml#/components/parameters/contexto'
      - $ref: './components_parameters.yaml#/components/parameters/sistema'
      - name: usuarioDmsas
        in: path
        description: DMSAS del usuario a buscar
        required: true
        schema:
          type: string
    responses:
        '200':
            description: OK - Devuelve el detalle del usuario consultado
            content:
                application/json:
                    schema:
                        type: object
                        properties:
                            userName:
                                type: string
                                description: DMSAS del usuario
                            displayName:
                                type: string
                                description: Nombre completo del usuario
                            name:
                                type: object
                                required:
                                    - formatted
                                    - middleName
                                    - familyName
                                properties:
                                    formatted:
                                        type: string
                                        description: Nombre completo del usuario
                                    givenName:
                                        type: string
                                        description: Nombre
                                    middleName:
                                        type: string
                                        description: Primer apellido
                                    familyName:
                                        type: string
                                        description: Segundo apellido
                        required:
                            - userName
                            - displayName
                            - name
        '4XX':
            $ref: './models_errors_4XX.yaml'
        '5XX':
            $ref: './models_errors_5XX.yaml'
    deprecated: false
put:
    tags:
        - Integraciones con servicios del SAS
    summary: Actualizar un usuario en el SGI
    description: Actualiza un usuario en el SGI
    operationId: editarContacto
    parameters:
      - $ref: './components_parameters.yaml#/components/parameters/Authorization'
      - $ref: './components_parameters.yaml#/components/parameters/Version'
      - $ref: './components_parameters.yaml#/components/parameters/delegado'
      - $ref: './components_parameters.yaml#/components/parameters/rol'
      - $ref: './components_parameters.yaml#/components/parameters/contexto'
      - $ref: './components_parameters.yaml#/components/parameters/sistema'
      - name: usuarioDmsas
        in: path
        description: DMSAS del usuario a buscar
        required: true
        schema:
          type: string
    requestBody:
        description: Datos para la operación.
        required: true
        content:
            application/json:
                schema:
                    $ref: './components_schemas.yaml#/components/schemas/SGIBody'
    responses:
      '200':
          description: OK - Datos actualizados
          content:
              application/json:
                  schema:
                      type: array
                      items:
                            allOf:
                                - $ref: './components_schemas.yaml#/components/schemas/SGIBody'
      '4XX':
          $ref: './models_errors_4XX.yaml'
      '5XX':
          $ref: './models_errors_5XX.yaml'
    deprecated: false
delete:
    tags:
        - Integraciones con servicios del SAS
    summary: Borrar un usuario en el SGI
    description: Borra un usuario en el SGI
    operationId: eliminarContacto
    parameters:
        - $ref: './components_parameters.yaml#/components/parameters/Authorization'
        - $ref: './components_parameters.yaml#/components/parameters/Version'
        - $ref: './components_parameters.yaml#/components/parameters/delegado'
        - $ref: './components_parameters.yaml#/components/parameters/rol'
        - $ref: './components_parameters.yaml#/components/parameters/contexto'
        - $ref: './components_parameters.yaml#/components/parameters/sistema'
        - name: usuarioDmsas
          in: path
          description: DMSAS del usuario a buscar
          required: true
          schema:
            type: string
    responses:
        '200':
          description: OK - Usuario borrado
          content:
            application/json:
                schema:
                  type: object
        '4XX':
            $ref: './models_errors_4XX.yaml'
        '5XX':
            $ref: './models_errors_5XX.yaml'
    deprecated: false